Create Trip Manually

This API can be used for creating Trips with different configuration. Please note that System won't make any changes or Optimizations for the Trip route so it's up to caller to make it Optimal

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

TripStepType

Every task has a set of steps that must be used in order to plan it's execution.

Each Trip must have 2 trip steps and Delivery step must come after the Pickup for each Task

The current supported TripStep types and their IDs are shown in the table below:

TripStepTypeTripStepTypeId
Pickup step1
Delivery step2

Examples

  1. Orders are first collected and then delivered one by one (Useful when you have 1 pickup-up location)
{  
"newTripSteps":  
    [  
        {  
        "taskId": "task_FF_id_1",  
        "tripStepTypeId": 1  
        },  
        {  
        "taskId": "task_FF_id_2",  
        "tripStepTypeId": 1  
        },  
        {  
        "taskId": "task_FF_id_1",  
        "tripStepTypeId": 2  
        },  
        {  
        "taskId": "task_FF_id_2",  
        "tripStepTypeId": 2  
        }  
    ]  
}
  1. Orders are collected and delivered one after another. (Standard flow)
{  
"newTripSteps":  
    [  
        {  
        "taskId": "task_FF_id_1",  
        "tripStepTypeId": 1  
        },  
        {  
        "taskId": "task_FF_id_1",  
        "tripStepTypeId": 2  
        },  
        {  
        "taskId": "task_FF_id_2",  
        "tripStepTypeId": 1  
        },  
        {  
        "taskId": "task_FF_id_2",  
        "tripStepTypeId": 2  
        }  
    ]  
}
Body Params
newTripSteps
array of objects
required

The list of Planned trip steps arranged in execution order

newTripSteps*
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json